/*
  counterdialog.h

  This is the header file to counterdialog.cpp

  Copyright (C) 2016 Guido Scholz <guido-scholz@gmx.net>

  This file is part of spdrs60.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or (at
  your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with ams.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef COUNTERDIALOG_H
#define COUNTERDIALOG_H

#include <QDialog>
#include <QLineEdit>

class CounterDialog: public QDialog
{
   Q_OBJECT

   QLineEdit* valueedit;

public:
   CounterDialog(QWidget* parent = 0);
   unsigned int getCounterValue();
   void setCounterValue(unsigned int);
};

#endif    //COUNTERDIALOG_H
